Moderation V1
Modmail Get Conversation V1
Get a single modmail conversation by ID. Use 'Modmail List V1' to find conversation IDs. Requires moderator privileges.
GET /api/v1/moderate/modmail/{conversation}
Get a single modmail conversation by ID. Use 'Modmail List V1' to find conversation IDs. Requires moderator privileges.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
conversation | string | Yes | Modmail conversation ID (e.g. 3c8qfl). NOT a subreddit name. Find IDs via 'Modmail List V1'. |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
bearer | string | No | Bearer token. Optional if stored in Token Vault. |
proxy | string | No | Proxy. Optional if stored in Token Vault. |
Authentication
| Header | Value |
|---|---|
X-RapidAPI-Key | Your RapidAPI key |
X-RapidAPI-Host | red-crawler1.p.rapidapi.com |
Example request
cURL
curl -X GET "https://red-crawler1.p.rapidapi.com/api/v1/moderate/modmail/<conversation>?bearer=<bearer>&proxy=<proxy>" \
-H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
-H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"JavaScript
const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/moderate/modmail/<conversation>?bearer=<bearer>&proxy=<proxy>", {
method: "GET",
headers: {
"X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
"X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
});
const data = await res.json();
console.log(data);Python
import requests
url = "https://red-crawler1.p.rapidapi.com/api/v1/moderate/modmail/<conversation>?bearer=<bearer>&proxy=<proxy>"
headers = {
"X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
"X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())Example response
HTTP 200 — captured from a live call to the gateway.
{
"success": true,
"data": {
"conversation": {
"isAuto": false,
"participant": {},
"objIds": [
{
"id": "4u470q",
"key": "messages"
}
],
"isRepliable": true,
"lastUserUpdate": null,
"isInternal": false,
"lastModUpdate": "2026-04-29T16:11:30.674000+0000",
"authors": [
{
"isMod": true,
"isAdmin": false,
"name": "Motor_Tip8865",
"isOp": true,
"isParticipant": false,
"isApproved": true,
"isHidden": false,
"id": 230442051071342,
"isDeleted": false
}
],
"lastUpdated": "2026-04-29T16:11:30.674000+0000",
"participantSubreddit": {},
"legacyFirstMessageId": null,
"state": 0,
"conversationType": "sr_user",
"lastUnread": null,
"owner": {
"displayName": "RedCrawlerAPI",
"type": "subreddit",
"id": "t5_hmeujo"
},
"subject": "test",
"id": "3dmc47",
"isHighlighted": false,
"numMessages": 1
},
"participantSubreddit": {},
"messages": {
"4u470q": {
"body": "<!-- SC_OFF --><div class=\"md\"><p>test</p>\n</div><!-- SC_ON -->",
"author": {
"name": "Motor_Tip8865",
"isApproved": true,
"isMod": true,
"isAdmin": false,
"isOp": true,
"isParticipant": false,
"isHidden": true,
"id": 230442051071342,
"isDeleted": false
},
"isInternal": false,
"date": "2026-04-29T16:11:30.674000+0000",
"bodyMarkdown": "test",
"id": "4u470q",
"participatingAs": "moderator"
}
},
"user": {},
"modActions": {}
},
"error": null,
"timestamp": "2026-04-29T19:04:59.567066+00:00"
}